Org settings, dashboards & reporting
Get SCP Report Data
Builds stablecoin payroll report rows from token payrolls and settlements, restricting USER role to own rows.
POSThttps://api.toku.com/hris/get-scp-report-data
Required scope: payroll:read. It also needs banking:read, compensation:read.
curl --request POST \
--url 'https://api.toku.com/hris/get-scp-report-data' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollEntityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2026-01-01T00:00:00Z",
"status": "string"
}'200 response
{
"reportData": [],
"summary": {
"totalPayrolls": 0,
"totalAmount": "string",
"totalUSDEquivalent": "string",
"averageFMV": "string",
"totalSettlements": 0,
"pendingSettlements": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollEntityIdstring<uuid>startDatestring<date-time>endDatestring<date-time>statusstringAllowed: at most 100 characters
Response
200Successful response
reportDataany[]summaryobjectShow child attributes
totalPayrollsintegertotalAmountstringtotalUSDEquivalentstringaverageFMVstringtotalSettlementsintegerpendingSettlementsinteger400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits